> For the complete documentation index, see [llms.txt](https://docs.upshift.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.upshift.finance/developer-docs/api-reference/points.md).

# Points

## Tokenized Vault API Endpoints

This documentation covers the tokenized vault endpoints for retrieving vault information.

### Base URL

```
https://api.upshift.finance/v1/
```

***

### Get User Points

#### GET `/points/{user_address}`

Retrieve a list of all tokenized vaults with the user's points per vault and more.

## GET /points/{user\_address}

> Get Points By User

```json
{"openapi":"3.1.0","info":{"title":"Upshift API","version":"0.1.0"},"servers":[{"url":"/v1"}],"paths":{"/points/{user_address}":{"get":{"summary":"Get Points By User","operationId":"get_points_by_user_points__user_address__get","parameters":[{"name":"user_address","in":"path","required":true,"schema":{"type":"string","title":"User Address"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PointsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"PointsResponse":{"properties":{"totalPoints":{"type":"number","title":"Totalpoints"},"referralEarnings":{"type":"number","title":"Referralearnings"},"pools":{"additionalProperties":{"$ref":"#/components/schemas/PoolBalance"},"type":"object","title":"Pools"},"referrals":{"additionalProperties":{"$ref":"#/components/schemas/ReferralBalance"},"type":"object","title":"Referrals"},"topVault":{"anyOf":[{"$ref":"#/components/schemas/TopVault"},{"type":"null"}]},"streak":{"type":"integer","title":"Streak"}},"type":"object","required":["totalPoints","referralEarnings","pools","referrals","topVault","streak"],"title":"PointsResponse"},"PoolBalance":{"properties":{"amountDepositedInUsd":{"type":"number","title":"Amountdepositedinusd","default":0},"nativeAmountDeposited":{"type":"number","title":"Nativeamountdeposited","default":0},"totalPoints":{"type":"number","title":"Totalpoints","default":0},"hasPendingRewards":{"type":"boolean","title":"Haspendingrewards","default":false}},"type":"object","title":"PoolBalance"},"ReferralBalance":{"properties":{"totalPoints":{"type":"number","title":"Totalpoints","default":0},"amountDepositedInUsd":{"type":"number","title":"Amountdepositedinusd","default":0},"nativeAmountDeposited":{"type":"number","title":"Nativeamountdeposited","default":0}},"type":"object","title":"ReferralBalance"},"TopVault":{"properties":{"lifetimeDeposit":{"type":"number","title":"Lifetimedeposit"},"address":{"type":"string","title":"Address"}},"type":"object","required":["lifetimeDeposit","address"],"title":"TopVault"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.upshift.finance/developer-docs/api-reference/points.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
